# Generated by Django 3.1.2 on 2020-10-17 10:46

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='MataKuliah',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama_matkul', models.CharField(max_length=120, null=True, verbose_name='Mata Kuliah')),
                ('dosen_pengajar', models.CharField(max_length=120, null=True, verbose_name='Dosen Pengajar')),
                ('jmlh_sks', models.IntegerField(validators=[django.core.validators.MaxValueValidator(24), django.core.validators.MinValueValidator(1)], verbose_name='Jumlah SKS')),
                ('deskripsi', models.CharField(max_length=500, verbose_name='Deskripsi')),
                ('semester_tahun', models.CharField(choices=[('Gasal 2020/2021', 'Gasal 2020/2021'), ('Genap 2019/2020', 'Genap 2019/2020'), ('Gasal 2019/2020', 'Gasal 2019/2020'), ('Lainnya', 'Lainnya')], max_length=15, verbose_name='Semester Tahun')),
                ('ruang_kuliah', models.CharField(blank=True, max_length=120, verbose_name='Ruang Kelas')),
            ],
        ),
    ]
